This is a work in progress.

Repo Abstractions:
\*Teams / Orgs (started)

- Projects (started)
- Branches (should be an object, I got lazy and it is an array of strings)
- MRs / PRs (This is going to be harder as git hub / git lab are very different)
- Commits
- Tags / Releases
- CI / CD

TODO:
\*Team Filtering

- Project Filtering
